#!/usr/bin/gawk -f

BEGIN{
  print "# t [JD] & baseline u [m] & v [m] & effective wavelength lambda_eff [m] & interferometric visibility V^2 [] & sigma_V^2 & incremental dataset number & dataset";
}
!/^ *#/ && !/UCOORD/{
  u = $1;
  v = $2;
  time = $3; # do NOT use!
  t = 2400000+$4;
  Vsq = $5;
  sigma_Vsq = $6;
  lambda = $7;

  dataset = FILENAME;

  if ((Vsq >= 0.0) && (Vsq <= 1.0)) {
    printf("%.6f  %14.8f  %14.8f    %12.6e    %16.8e  %16.8e    %4d  %s\n", t, u, v, lambda, Vsq, sigma_Vsq, ARGIND, dataset);
  }
}


#  t = 2400000.5+$4;

